Jump to content
Sign in to follow this  
Arthwr

Trade Skill Master [Out of Date]

Recommended Posts

Hi, i download and installed tradeskillmaster in my wow directory, but everytime I launch game appears [out of date] besides addon.

I already tried version 1.4.3, 1.4.2, 1.4.1 (last releases for cataclysm) and 1.4.4 (first release for mists of pandaria).

I had same problem with Recount. I gave up recount and downloaded Skada. It worked, I forgot recount problem.

 

Anyone knows how to fix it?

Share this post


Link to post
Share on other sites

I put to load out of date addons, but I got this error:

Quote

Date: 04/28/17 21:18:10
Message:  ...SkillMaster_AppHelper\TradeSkillMaster_AppHelper.lua:17: attempt to call method 'NewModule' (a nil value)
Stack:
TSM_AppHelper.lua:17: <TradeSkillMaster_AppHelper.lua:16>
[string "safecall Dispatcher[1]"]:9: <[string "safecall Dispatcher[1]"]:5>
...rface\AddOns\Skada\lib\AceAddon-3.0\AceAddon-3.0.lua:629: <AceAddon-3.0.lua:621>
Locale: enUS
Addons:
    ACP (3.3.17)
    HealBot (4.3.4.1)
    privstat (0.2)
    Skada (1.4-2)
    TSM (v1.4.3)
    TSM_Accounting (v1.1.2)
    TSM_AppHelper (v3.0.2)
    TSM_AuctionDB (v1.3.1)
    TSM_Auctioning (v1.2.4)
    TSM_Crafting (v1.1.5)
    TSM_Destroying (v1.2.4)
    TSM_Mailing (v1.0.5)
    TSM_Shopping (v1.3.2)
    TSM_Warehousing (v1.4.5.1)
    ElvUI (3.9)
    DBM-Core (4.10.12-53-g96c5aad)

Anyone can help me?

Share this post


Link to post
Share on other sites

I am using 1.6.5 with no crashes.  An in game expiration popup does occur every few days but you just click it away.  This is a 5.0.3 Pandaria prepatch version I think.  My Tradeskillmaster.toc says
## Interface: 50300
 

You will also need these modules for proper operation:
TradeSkillMaster_Accounting v1.3.2
TradeSkillMaster_Additions v1.0.5
TradeSkillMaster_AuctionDB v1.4.3
TradeSkillMaster_Auctioning v1.3.1
TradeSkillMaster_Crafting v1.2.4
TradeSkillMaster_Destroying v1.2.6
TradeSkillMaster_ItemTracker v1.3.1
TradeSkillMaster_Mailing v1.3.1
TradeSkillMaster_Shopping v1.4.1
TradeSkillMaster_Warehousing v1.5.2

Should you decide to install the setup that I use, go delete all of those other folders under your addons folder.  You may be having conflicts causing your crash.  Speaking of conflicts,  TSM 1.6.5 works alongside Auctioneer 5.13.5258 without conflicts.  I use them both daily.  You can download any TSM version from:
https://wow.curseforge.com/projects/tradeskill-master/files?filter-game-version=

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×